<?php

/**
 * Plugin Name: Integrate Google Drive (Premium)
 * Plugin URI:  https://softlabbd.com/integrate-google-drive
 * Description: Seamless Google Drive integration for WordPress, allowing you to embed, share, play, and download documents and media files directly from Google Drive to your WordPress site.
 * Version:     1.5.7
 * Update URI: https://api.freemius.com
 * Author:      SoftLab
 * Author URI:  https://softlabbd.com/
 * Text Domain: integrate-google-drive
 * Domain Path: /languages/
 * License:     GPL v2 or later
 * License URI: https://www.gnu.org/licenses/gpl-2.0.html
 *
 * @fs_premium_only /assets/vendor/slick, /assets/js/statistics.js, /assets/vendor/chart.js, /includes/integrations/templates, /includes/integrations/woocommerce, /includes/integrations/dokan, /includes/integrations/class-tutor.php, /includes/integrations/class-fluentforms.php, /includes/integrations/class-ninjaforms.php, /includes/integrations/class-edd.php, /includes/integrations/class-acf.php, /includes/integrations/class-gravityforms.php, /includes/integrations/class-wpforms.php,  /includes/integrations/class-formidableforms.php,  /includes/integrations/class-media-library.php, /includes/integrations/media-library
 *
 * @package IGD
 */
use IGD\Main;
defined( 'ABSPATH' ) || exit;
if ( function_exists( 'igd_fs' ) ) {
    igd_fs()->set_basename( true, __FILE__ );
} else {
    // DO NOT REMOVE THIS IF, IT IS ESSENTIAL FOR THE `function_exists` CALL ABOVE TO PROPERLY WORK.
    if ( !function_exists( 'igd_fs' ) ) {
        // Create a helper function for easy SDK access.
        function igd_fs() {
            global $igd_fs;
            if ( !isset( $igd_fs ) ) {
                // Include Freemius SDK.
                require_once dirname( __FILE__ ) . '/freemius/start.php';
                $igd_fs = fs_dynamic_init( array(
                    'id'               => '9618',
                    'slug'             => 'integrate-google-drive',
                    'type'             => 'plugin',
                    'public_key'       => 'pk_eb27e7eaa4f2692b385aec28288f2',
                    'is_premium'       => true,
                    'is_org_compliant' => true,
                    'premium_suffix'   => '(PRO)',
                    'has_addons'       => false,
                    'has_paid_plans'   => true,
                    'trial'            => array(
                        'days'               => 7,
                        'is_require_payment' => false,
                    ),
                    'menu'             => array(
                        'slug'       => 'integrate-google-drive',
                        'first-path' => 'admin.php?page=integrate-google-drive-getting-started',
                        'contact'    => false,
                        'support'    => false,
                    ),
                    'is_live'          => true,
                ) );
            }
            return $igd_fs;
        }

        // Init Freemius.
        igd_fs();
        // Signal that SDK was initiated.
        do_action( 'igd_fs_loaded' );
    }
    /** Plugin version */
    define( 'IGD_VERSION', '1.5.7' );
    /** Plugin file */
    define( 'IGD_FILE', __FILE__ );
    /** Plugin paths */
    define( 'IGD_PATH', trailingslashit( plugin_dir_path( IGD_FILE ) ) );
    define( 'IGD_URL', trailingslashit( plugin_dir_url( IGD_FILE ) ) );
    define( 'IGD_INCLUDES', IGD_PATH . 'includes/' );
    define( 'IGD_ASSETS', IGD_URL . 'assets/' );
    /**
     * Load autoloader.
     */
    require_once trailingslashit( IGD_PATH ) . 'vendor/autoload.php';
    /**
     * Global helper.
     */
    if ( !function_exists( 'igd' ) ) {
        function igd() : Main {
            return Main::instance();
        }

    }
    igd();
}